openerp.eiru_reporting_dashboard = function (instance) {
    "use strict";

    instance.eiru_reporting_dashboard = {};
    instance.eiru_reporting_dashboard.reports = {};

    var dashboard = instance.eiru_reporting_dashboard;

    widget_reporting_base(instance, dashboard);
    dashboard_reporting_widget(instance, dashboard);
    
    // Widgets
    try{
        user(dashboard);
        chart_invoice(dashboard);
        chart_pos_order_customer(dashboard);
        chart_pos_order_product(dashboard);
        chart_pos_order_salesman(dashboard);
        chart_pos_order(dashboard);
        chart_purchase_expense(dashboard);
        chart_ingreso_egreso(dashboard);
        chart_sale_by_store(dashboard);
        widget_pos_order(dashboard);
        widget_purchase(dashboard);
        widget_expense(dashboard);
        widget_balance(dashboard);
        widget_cash(dashboard);
        widget_bank(dashboard);
        widget_account_receivable(dashboard);
        widget_account_to_pay(dashboard);
        widget_sale_order(dashboard);
        widget_balance_sale(dashboard);
        chart_sale_order_customer(dashboard);
        chart_sale_order_product(dashboard);
        chart_sale_order_salesman(dashboard);
    }catch(e){
        // error
    }
    
    // Action
    instance.web.client_actions.add('eiru_reporting_dashboard.action_dashboard', 'instance.eiru_reporting_dashboard.DashboardReportingWidget');
}
